Subject: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: Timothy J Miller <[email-masked]>
Date: Tue, 4 Aug 2020 20:26:34 +0000

Got some free time so I rebuilt.  The CR/LF patch looks like it's working.  

However, the S/MIME signature status/trust marking in the article body are missing for signed+encrypted.  I went through a slew of old encrypted messages and most look like non-MIME messages.  Occasionally one will present with a text/plain attachment, but most not.  Attachments also seem to be decoding properly but I didn't test all examples, just spot checked a couple where the attachment got saved out as corrupted base64.

If I could add to the feature backlog, it would be nice to have a status mark for encrypted emails similar to the signature trust status marking. 

-- T

On 8/4/20, 11:11, "Lars Ingebrigtsen" <[email-masked]> wrote:

    Timothy J Miller <[email-masked]> writes:

    > Sometimes, but I usually get a block of Base64 text.  I'll capture
    > some samples tonight.

    Hm.  I only got blank messages...

    Anyway, I found the problem -- Outlook used CRLF line endings on the
    encrypted message itself, which messed up the parsing of the parts.
    This should now be fixed in Emacs 28 (I'm pretty sure the CRLF->NL
    transform is safe there -- there can't be binary parts that aren't
    content-transfer-encoded, I think?)

    But since you're seeing something else, perhaps there's more than one
    bug here.  Can you do a new "git pull" and test?

    -- 
    (domestic pets only, the antidote for overdose, milk.)
       bloggy blog: http://lars.ingebrigtsen.no